/** Upload a file to replicate.com and return the serving URL.
 *
 * For now files are uploaded to replicate.com, using an endpoint that is probably not intended for us.
 * If this breaks, future versions of this function may upload to other hosters.
 *
 * The endpoint is behind cloudflare, so I am not sure if this even works without a browser or captchas.
 * Feel free to open issues for all the problems you encounter with this function https://github.com/zebreus/replicate-api/issues
 *
 * @deprecated This is highly experimental and depends on undocumented endpoints of the replicate.com website. It may break at any time. Please open an issue if it does not work for you.
 * @param path Path to a local file
 * @returns A URL where the file can be downloaded from
 */
export declare const uploadFile: (path: string) => Promise<string>;
export declare const getCsrfToken: () => Promise<string>;
export declare const getFileUrls: (path: string) => Promise<{
    uploadUrl: string;
    servingUrl: string;
}>;
